On Monday September 25th from 10PM EDT - 12AM EDT (2AM UTC - 4AM UTC on September 26th), we will be performing system maintenance on the Firefox Accounts databases for two hours. During the maintenance window, there will be brief periods of a few minutes where users will not be able to login to their accounts. Please try again at a later time.

Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

fire fox tells me I am update so why do I get this messege?

  • 1 پاسخ
  • 1 has this problem
  • 9 views
  • آخرین پاسخ توسّط the-edmeister

more options

Here is the messege from fafsa, Your Web browser is not supported by our Web site. You must use a Compliant Web Browser - Standard* to view our site properly. We recommend you upgrade to the latest version of your browser according to your Operating System. Firefox tells me I am updated. but I am unable to access this site, I have only 3 days left to finish my information

Here is the messege from fafsa, Your Web browser is not supported by our Web site. You must use a Compliant Web Browser - Standard* to view our site properly. We recommend you upgrade to the latest version of your browser according to your Operating System. Firefox tells me I am updated. but I am unable to access this site, I have only 3 days left to finish my information

All Replies (1)

more options

The FAFSA website wants Firefox 3.6.x as the newest, it hasn't been updated for anything newer. Install Firefox 3.6.22 to your hard drive for use at that website, and continue to use the latest version elsewhere.

http://portableapps.com/apps/internet/firefox_portable/localization#legacy36